WinCrypt.CertStoreProviderName (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CertStoreProviderName

Package com.sun.jna.platform.win32

# Class WinCrypt.CertStoreProviderName

java.lang.Object
com.sun.jna.platform.win32.WinCrypt.CertStoreProviderName

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinCrypt

public static class WinCrypt.CertStoreProviderName extends Object implements NativeMapped
Value wrapper for `lpszStoreProvider` of `Crypt32.CertOpenStore(CertStoreProviderName, int, HCRYPTPROV_LEGACY, int, Pointer)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertStoreProviderName()`
  `CertStoreProviderName(int fixedValue)`
  `CertStoreProviderName(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `fromNative(Object nativeValue, FromNativeContext fnc)`
  Convert the given native object into its Java representation using the given context.
  `Class<?>`
  `nativeType()`
  Indicate the native type used by this converter.
  `Object`
  `toNative()`
  Convert this object into a supported native type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertStoreProviderName

    public CertStoreProviderName()

  - ### CertStoreProviderName

    public CertStoreProviderName(int fixedValue)

  - ### CertStoreProviderName

    public CertStoreProviderName(String name)

- ## Method Details

  - ### fromNative

    public Object fromNative(Object nativeValue, FromNativeContext fnc)
    Description copied from interface: `NativeMapped`
    Convert the given native object into its Java representation using the given context.
    Specified by:
      `fromNative` in interface `NativeMapped`
    Parameters:
      `nativeValue` - Java representation of the native type to be converted.
      `fnc` - Context in which the conversion is taking place.
    Returns:
      Converted object.

  - ### toNative

    public Object toNative()
    Description copied from interface: `NativeMapped`
    Convert this object into a supported native type.
    Specified by:
      `toNative` in interface `NativeMapped`
    Returns:
      Java representation of the original Java object converted to a native type.

  - ### nativeType

    public Class<?> nativeType()
    Description copied from interface: `NativeMapped`
    Indicate the native type used by this converter.
    Specified by:
      `nativeType` in interface `NativeMapped`
    Returns:
      Java class representation of the native type.